#ifndef WPAD_INCLUDES_H
#define WPAD_INCLUDES 1

/***************************************************************************
 * wpad_includes.h
 *
 * wpad.library, Copyright 1995 Lee Kindness.
 *
 * 
 */

#include <exec/execbase.h>
#include <exec/memory.h>
#include <exec/lists.h>
#include <exec/nodes.h>
#include <graphics/gfxbase.h>
#include <intuition/intuitionbase.h>
#include <intuition/classusr.h>
#include <intuition/icclass.h>
#include <intuition/screens.h>
#include <intuition/classes.h>
#include <libraries/gadtools.h>
#include <libraries/commodities.h>
#include <devices/timer.h>
#include <dos/dostags.h>

#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <stddef.h>
#include <dos.h>

#include <clib/commodities_protos.h>
#include <clib/dos_protos.h>
#include <clib/intuition_protos.h>
#include <clib/graphics_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/diskfont_protos.h>
#include <clib/utility_protos.h>
#include <clib/exec_protos.h>
#include <clib/macros.h>

#include <pragmas/commodities_pragmas.h>
#include <pragmas/dos_pragmas.h>
#include <pragmas/intuition_pragmas.h>
#include <pragmas/graphics_pragmas.h>
#include <pragmas/gadtools_pragmas.h>
#include <pragmas/diskfont_pragmas.h>
#include <pragmas/utility_pragmas.h>
#include <pragmas/exec_pragmas.h>

#endif
